View Issue Details

IDProjectCategoryView StatusLast Update
0005623DarkRadiantMap Editingpublic06.06.2021 05:06
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.12.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0005623: Differential Map Merge
DescriptionIt can be challenging for two or more folks working on the same project to integrate all the changes back into one single map file. Some tool support to identify duplicates and present the difference between two (similar) map files might make that task easier.
TagsNo tags attached.

Relationships

parent of 0005622 resolvedgreebo Map Comparison/Diffing 
related to 0005638 resolvedgreebo Support Selection Groups when merging Maps 
related to 0005639 resolvedgreebo Support Layers when merging Maps 

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: map_merge 684abd21

2021-05-24 05:54:44

greebo

Details Diff
0005623: Start creating a few object types to define a merge operation Affected Issues
0005623
add - libs/scene/merge/MergeAction.h Diff File
add - libs/scene/merge/MergeOperation.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: map_merge 63444dc6

2021-05-24 06:05:00

greebo

Details Diff
0005623: Move classes to scene::merge namespace Affected Issues
0005623
mod - libs/scene/CMakeLists.txt Diff File
mod - radiantcore/map/algorithm/Import.cpp Diff File
mod - radiantcore/map/algorithm/Import.h Diff File
mod - test/MapMerging.cpp Diff File
mod - test/resources/tdm/maps/fingerprinting.mapx Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: map_merge 9827b566

2021-05-24 06:07:18

greebo

Details Diff
0005623: Move ComparisonResult to its own file Affected Issues
0005623
add - libs/scene/merge/ComparisonResult.h Diff File
mod - libs/scene/merge/GraphComparer.h Diff File
mod - radiantcore/map/algorithm/Import.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: map_merge 16f298de

2021-05-24 06:24:04

greebo

Details Diff
0005623: Refactor GraphComparer into a static utility class, since there's no pressing reason to maintain an instance. Affected Issues
0005623
mod - libs/scene/merge/GraphComparer.cpp Diff File
mod - libs/scene/merge/GraphComparer.h Diff File
mod - radiantcore/map/algorithm/Import.cpp Diff File
mod - radiantcore/map/algorithm/Import.h Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: map_merge 4eb10c4a

2021-05-24 06:28:10

greebo

Details Diff
0005623: Remove the wrapper method in map::algorithm, directly use the GraphComparer. Affected Issues
0005623
mod - libs/scene/merge/MergeOperation.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/algorithm/Import.cpp Diff File
mod - radiantcore/map/algorithm/Import.h Diff File

DarkRadiant: map_merge c462f680

2021-05-24 06:39:55

greebo

Details Diff
0005623: MergeAction type is now abstract Affected Issues
0005623
mod - libs/scene/CMakeLists.txt Diff File
mod - libs/scene/merge/MergeAction.h Diff File
add - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
mod - tools/msvc/scenelib.vcxproj Diff File
mod - tools/msvc/scenelib.vcxproj.filters Diff File

DarkRadiant: map_merge 36fb5eed

2021-05-24 06:57:27

greebo

Details Diff
0005623: Start constructing the MergeActions Affected Issues
0005623
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File

DarkRadiant: map_merge aec77bd9

2021-05-24 07:16:11

greebo

Details Diff
0005623: Setup entity addition action Affected Issues
0005623
mod - libs/scene/merge/ComparisonResult.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File

DarkRadiant: map_merge d5157c2c

2021-05-24 07:47:07

greebo

Details Diff
0005623: Setup entity key/value merge actions Affected Issues
0005623
mod - libs/scene/merge/ComparisonResult.h Diff File
mod - libs/scene/merge/GraphComparer.cpp Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File

DarkRadiant: map_merge 253e95e1

2021-05-24 07:50:55

greebo

Details Diff
0005623: Adjust unit tests covering the source/base node specifics Affected Issues
0005623
mod - test/MapMerging.cpp Diff File

DarkRadiant: map_merge a95f159d

2021-05-24 08:20:58

greebo

Details Diff
0005623: Add child node merge actions Affected Issues
0005623
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File

DarkRadiant: map_merge 338d4dfe

2021-05-24 08:41:28

greebo

Details Diff
0005623: The MergeOperation should hold strong references on the two root nodes, such that they don't get released before the operation reaches end of life Affected Issues
0005623
mod - libs/scene/merge/ComparisonResult.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File

DarkRadiant: map_merge 0aaa20c5

2021-05-24 13:42:43

greebo

Details Diff
0005623: Start adding tests to cover the merge action generation Affected Issues
0005623
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: map_merge a74260ee

2021-05-24 14:03:14

greebo

Details Diff
0005623: Add unit test cases covering all remaining merge actions Affected Issues
0005623
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - test/MapMerging.cpp Diff File

DarkRadiant: map_merge 8a023b45

2021-05-24 14:45:34

greebo

Details Diff
0005623: Extend unit tests to check if the action can be successfully applied Affected Issues
0005623
mod - test/MapMerging.cpp Diff File

DarkRadiant: map_merge 143b6d5f

2021-05-24 15:00:31

greebo

Details Diff
0005623: Extend unit tests. Add a overall check if applying the whole set of actions leads to the same state as the source map. Affected Issues
0005623
mod - test/MapMerging.cpp Diff File

DarkRadiant: merge_visualisation 93fd736b

2021-05-24 15:27:41

greebo

Details Diff
0005623: Add IMap::EditMode enumeration Affected Issues
0005623
mod - include/imap.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
mod - radiantcore/map/algorithm/Import.cpp Diff File

DarkRadiant: merge_visualisation 7e8193d5

2021-05-24 19:27:49

greebo

Details Diff
0005623: Spike code to render nodes affected by merge actions Affected Issues
0005623
mod - include/inode.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
add - radiantcore/map/MergeActionNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: merge_visualisation 7e5ad90b

2021-05-25 04:34:38

greebo

Details Diff
0005623: Enable blending mode in XYWnd to render non-affected nodes in almost-transparent grey in the background Affected Issues
0005623
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: merge_visualisation 3641eab1

2021-05-25 05:05:17

greebo

Details Diff
0005623: Hack CamRenderer to display merge and non-merge nodes as overlays Affected Issues
0005623
mod - libs/render/CamRenderer.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: merge_visualisation 0bdc97e6

2021-05-25 06:16:30

greebo

Details Diff
0005623: Messy shader setup to display the changed nodes Affected Issues
0005623
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: merge_visualisation 7bda95d2

2021-05-25 14:22:55

greebo

Details Diff
0005623: Rendering of additive merge action nodes is working now Affected Issues
0005623
mod - libs/scene/merge/MergeAction.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation 45a6dcb8

2021-05-25 17:48:06

greebo

Details Diff
0005623: Extract some interfaces in order to get more information during the front end render pass Affected Issues
0005623
add - include/imergeaction.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - radiantcore/map/MergeActionNode.h Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: merge_visualisation aead38f3

2021-05-25 18:27:25

greebo

Details Diff
0005623: Lots of refactoring with regards to camera rendering, use distinct highlights for the various merge actions Affected Issues
0005623
mod - include/imergeaction.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - libs/wxutil/preview/RenderPreview.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation 74a75cf6

2021-05-25 18:50:29

greebo

Details Diff
0005623: Implement the shaders and adjust the sort order Affected Issues
0005623
mod - include/iglrender.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: merge_visualisation 278fb6da

2021-05-26 17:07:19

greebo

Details Diff
0005623: XYRenderer is distinguishing the merge actions Affected Issues
0005623
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiant/xyview/XYWnd.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: merge_visualisation 8b2605ff

2021-05-26 17:36:55

greebo

Details Diff
0005623: Some map handling fixes to make it stop crashing Affected Issues
0005623
mod - libs/UndoFileChangeTracker.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
mod - radiantcore/map/MapResource.cpp Diff File

DarkRadiant: merge_visualisation 78202540

2021-05-26 18:27:34

greebo

Details Diff
0005623: Fix a resource leak due to the MergeActionNodes not being freed until shutdown Affected Issues
0005623
mod - radiantcore/map/Map.cpp Diff File

DarkRadiant: merge_visualisation 0f318918

2021-05-28 03:45:18

greebo

Details Diff
0005623: Merge Action Selection Mode (non-functional) Affected Issues
0005623
mod - include/iselection.h Diff File
add - install/bitmaps/merge_selection_mode.png Diff File
mod - install/user.xml Diff File
mod - radiant/ui/SelectionModeToggle.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File

DarkRadiant: merge_visualisation 130b1e90

2021-05-28 15:02:46

greebo

Details Diff
0005623: Add specialised Selector class for merge action mode Affected Issues
0005623
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/SelectionTestWalkers.cpp Diff File
mod - radiantcore/selection/SelectionTestWalkers.h Diff File

DarkRadiant: merge_visualisation 756bddaa

2021-05-28 15:16:43

greebo

Details Diff
0005623: Fix crashing the EntityInspector when a non-entity is selected below the root node Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: merge_visualisation c0ab4db8

2021-05-29 04:17:52

greebo

Details Diff
0005623: Start working on a merge control dialog Affected Issues
0005623
add - install/bitmaps/merge_path.png Diff File
add - install/ui/mergecontroldialog.fbp Diff File
add - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/UserInterfaceModule.cpp Diff File
add - radiant/ui/merge/MergeControlDialog.cpp Diff File
add - radiant/ui/merge/MergeControlDialog.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: merge_visualisation b5f17790

2021-05-29 05:18:03

greebo

Details Diff
0005623: Scene removal of MergeActionNodes. Affected Issues
0005623
mod - radiantcore/map/MergeActionNode.h Diff File
mod - radiantcore/selection/SelectionTestWalkers.cpp Diff File

DarkRadiant: merge_visualisation 69e0f518

2021-05-29 08:35:31

greebo

Details Diff
0005623: Working on merge control dialog. The "merge map" menu item now opens the transient window where users can choose a map and launch the comparison/merge. Affected Issues
0005623
mod - include/imap.h Diff File
add - install/bitmaps/merge_arrow.png Diff File
add - install/bitmaps/merge_fork.png Diff File
rm - install/bitmaps/merge_path.png Diff File
mod - install/menu.xml Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File

DarkRadiant: merge_visualisation e08f1c3c

2021-05-29 08:55:07

greebo

Details Diff
0005623: Rendering of selected merge action nodes Affected Issues
0005623
mod - include/iglrender.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiantcore/map/MergeActionNode.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: merge_visualisation 796ba28a

2021-05-29 10:39:29

greebo

Details Diff
0005623: Merge Control Dialog is listening to selection changes now (but not reacting yet).
Don't draw size info in merge mode.
Affected Issues
0005623
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File

DarkRadiant: merge_visualisation a600afb3

2021-05-29 11:45:17

greebo

Details Diff
0005623: Reject / Finish buttons wired up to the respective functions. Reject algorithm is already working. Affected Issues
0005623
mod - include/imap.h Diff File
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File

DarkRadiant: merge_visualisation bbd04668

2021-05-29 11:51:37

greebo

Details Diff
0005623: Build fix Affected Issues
0005623
mod - radiant/xyview/XYRenderer.h Diff File

DarkRadiant: merge_visualisation 0ebf036b

2021-05-29 14:04:20

greebo

Details Diff
0005623: Merge action nodes automatically set the active/inactive state of the encapsulated actions when they are inserted into or removed from the scene, respectively. Affected Issues
0005623
mod - include/imergeaction.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation a8bee018

2021-05-29 14:39:51

greebo

Details Diff
0005623: Unit test covering deactivated merge actions. Affected Issues
0005623
mod - test/MapMerging.cpp Diff File

DarkRadiant: merge_visualisation 880df6c8

2021-05-29 15:42:29

greebo

Details Diff
0005623: Use excluded flag to not interfere with the user hiding/unhiding nodes during merge Affected Issues
0005623
mod - libs/scene/Node.h Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation 1d5b6fb3

2021-05-29 15:51:43

greebo

Details Diff
0005623: Gracefully remove the merge action nodes from the scene without changing the action's status by their removal. Affected Issues
0005623
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation 9456ff55

2021-05-29 16:26:01

greebo

Details Diff
0005623: Ensure worldspawn node before merging into an empty map. Remember dialog position. Affected Issues
0005623
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File

DarkRadiant: merge_visualisation 7d4a9546

2021-05-29 17:14:09

greebo

Details Diff
0005623: Don't allow MergeActionNodes from being hidden or excluded Affected Issues
0005623
mod - include/inode.h Diff File
mod - libs/scene/Node.cpp Diff File
mod - libs/scene/Node.h Diff File
mod - libs/scenelib.h Diff File
mod - radiantcore/layers/LayerManager.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File
mod - radiantcore/map/RegionWalkers.h Diff File
mod - radiantcore/selection/algorithm/General.cpp Diff File

DarkRadiant: merge_visualisation 17841e38

2021-05-30 03:55:31

greebo

Details Diff
0005623: PatchNode::testSelect doesn't need to protect itself when the node is hidden, this is handled by the caller, e.g. SceneGraph::forEachVisibleNodeInVolume Affected Issues
0005623
mod - radiantcore/patch/PatchNode.cpp Diff File

DarkRadiant: merge_visualisation ba639437

2021-05-30 05:54:32

greebo

Details Diff
0005623: Reorganise the MergeActionNodes, introducing two specialisations of the common MergeActionNodeBase.
One is aimed to handle entity key value changes targeting the same node, the other one is handling all other action types.
Affected Issues
0005623
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
add - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: merge_visualisation 61937d02

2021-05-30 06:20:48

greebo

Details Diff
0005623: Fix a crash during map change after removing an action and aborting the merge, due to strong references held by the merge action nodes (in the redo stack). Affected Issues
0005623
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation d9449b3a

2021-05-30 06:21:23

greebo

Details Diff
0005623: Hide the base map selector for the moment being Affected Issues
0005623
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File

DarkRadiant: merge_visualisation 043c996c

2021-05-30 11:36:07

greebo

Details Diff
0005623: Detect merge action nodes targeting entities, display their key values in the EntityInspector as usual Affected Issues
0005623
mod - include/imergeaction.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: merge_visualisation ee6e99fa

2021-05-30 11:57:33

greebo

Details Diff
0005623: EntityInspector is switching to read-only if the map is in merge mode Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File
mod - radiantcore/map/Map.cpp Diff File

DarkRadiant: merge_visualisation fbecd293

2021-05-30 14:33:17

greebo

Details Diff
0005623: Working on display of key value changes in EntityInspector Affected Issues
0005623
mod - include/imergeaction.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File

DarkRadiant: merge_visualisation 16654fcc

2021-05-30 18:20:29

greebo

Details Diff
0005623: EntityInspector is showing changed key values now.
At least in wxMSW it was necessary to reset the value column width back to wxCOL_WIDTH_AUTOSIZE, since it wouldn't go any smaller after un-hiding the two optional columns, pushing them out of the view.
Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File

DarkRadiant: merge_visualisation cde31d5c

2021-05-31 04:01:36

greebo

Details Diff
0005623: Use background colours to show changed/added/removed key values Affected Issues
0005623
mod - libs/wxutil/dataview/TreeViewItemStyle.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: merge_visualisation ad411113

2021-05-31 04:02:50

greebo

Details Diff
0005623: Don't use inactive actions in the view Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: merge_visualisation d64ecbc7

2021-05-31 04:17:18

greebo

Details Diff
0005623: Add unimplemented context menu option to reject key value changes Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File

DarkRadiant: merge_visualisation 2d4c6f97

2021-05-31 04:24:43

greebo

Details Diff
0005623: Implement context menu option to reject key value changes Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: merge_visualisation 904227cd

2021-05-31 04:37:19

greebo

Details Diff
0005623: Update the UI when a map is unloaded or loaded in the middle of a merge operation Affected Issues
0005623
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: merge_visualisation 44e6df44

2021-05-31 04:41:53

greebo

Details Diff
0005623: UI tweaks Affected Issues
0005623
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File

DarkRadiant: merge_visualisation 539f7f5f

2021-05-31 04:46:01

greebo

Details Diff
0005623: Control dialog size and position on initial startup Affected Issues
0005623
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - install/user.xml Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File

DarkRadiant: merge_visualisation 914131e0

2021-05-31 04:47:11

greebo

Details Diff
0005623: Menu item casing Affected Issues
0005623
mod - install/menu.xml Diff File

DarkRadiant: merge_visualisation 899ac8ff

2021-05-31 18:28:56

greebo

Details Diff
0005623: Fall back to use an alternative styling of key value rows in the EntityInspector.
Since we're stuck with old wxWidgets versions in Linux and macOS.
Fix a crash at shutdown due to the EntityInspector keeping a set of MergeActions alive.
Affected Issues
0005623
mod - libs/wxutil/dataview/TreeViewItemStyle.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: merge_visualisation a0c15c37

2021-05-31 18:36:30

greebo

Details Diff
0005623: Show the dialog when the menu item is selected, instead of toggling it Affected Issues
0005623
mod - radiant/ui/UserInterfaceModule.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: merge_visualisation 789a7485

2021-05-31 18:52:34

greebo

Details Diff
0005623: Prepare action summary display Affected Issues
0005623
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File

DarkRadiant: merge_visualisation 10cf7004

2021-05-31 19:08:08

greebo

Details Diff
0005623: Extract merge operation interface, rename interface header file. Affected Issues
0005623
mod - include/imap.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - libs/scene/merge/MergeAction.h Diff File
mod - libs/scene/merge/MergeOperation.cpp Diff File
mod - libs/scene/merge/MergeOperation.h Diff File
mod - radiant/ui/einspector/EntityInspector.cpp Diff File
mod - radiant/ui/einspector/EntityInspector.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File
mod - test/MapMerging.cpp Diff File
mod - tools/msvc/include.vcxproj Diff File

DarkRadiant: merge_visualisation 588c32c9

2021-05-31 19:18:14

greebo

Details Diff
0005623: Merge summary displaying some numbers Affected Issues
0005623
mod - install/ui/mergecontroldialog.fbp Diff File
mod - install/ui/mergecontroldialog.xrc Diff File
mod - install/user.xml Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File

DarkRadiant: master 79d4dcdf

2021-06-02 19:06:06

greebo

Details Diff
0005623: Fix crash when hitting undo twice after removing some merge actions and completing the operation Affected Issues
0005623
mod - include/imapmerge.h Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File
mod - radiantcore/map/MergeActionNode.h Diff File

DarkRadiant: master 8af189c4

2021-06-02 19:08:29

greebo

Details Diff
0005623: The changes made to the map while starting the merge operation are undoable now too Affected Issues
0005623
mod - radiantcore/map/Map.cpp Diff File

DarkRadiant: master 97050229

2021-06-02 19:51:48

greebo

Details Diff
0005623: Fix inherited properties having a big red block next to them when in merge mode Affected Issues
0005623
mod - radiant/ui/einspector/EntityInspector.cpp Diff File

DarkRadiant: master 064394ff

2021-06-02 20:11:14

greebo

Details Diff
0005623: Fix linux build, since "None" seems to point to some numeric #define in an X-related header Affected Issues
0005623
mod - include/imapmerge.h Diff File
mod - radiantcore/map/MergeActionNode.cpp Diff File

DarkRadiant: master 521f972a

2021-06-06 04:24:15

greebo

Details Diff
0005623: Adjust getNodeName() method to support the recently introduced MergeAction node type Affected Issues
0005623
mod - libs/debugging/ScenegraphUtils.h Diff File

DarkRadiant: master f1e1b30e

2021-06-06 05:06:50

greebo

Details Diff
0005623: Add IMap::signal_editModeChanged to get notified on edit mode changes. The MergeControlDialog needs to monitor that mode and adjust its UI state. Affected Issues
0005623
mod - include/imap.h Diff File
mod - radiant/ui/merge/MergeControlDialog.cpp Diff File
mod - radiant/ui/merge/MergeControlDialog.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/map/Map.h Diff File

Issue History

Date Modified Username Field Change
24.05.2021 05:25 greebo New Issue
24.05.2021 05:25 greebo Relationship added parent of 0005622
24.05.2021 05:25 greebo Status new => confirmed
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 684abd21
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 63444dc6
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 9827b566
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 16f298de
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 4eb10c4a
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge c462f680
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 36fb5eed
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge aec77bd9
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge d5157c2c
24.05.2021 07:51 greebo Changeset attached => DarkRadiant map_merge 253e95e1
24.05.2021 14:03 greebo Changeset attached => DarkRadiant map_merge a95f159d
24.05.2021 14:03 greebo Changeset attached => DarkRadiant map_merge 338d4dfe
24.05.2021 14:03 greebo Changeset attached => DarkRadiant map_merge 0aaa20c5
24.05.2021 14:03 greebo Changeset attached => DarkRadiant map_merge a74260ee
24.05.2021 15:04 greebo Assigned To => greebo
24.05.2021 15:04 greebo Status confirmed => assigned
24.05.2021 15:09 greebo Changeset attached => DarkRadiant map_merge 8a023b45
24.05.2021 15:09 greebo Changeset attached => DarkRadiant map_merge 143b6d5f
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 93fd736b
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 7e8193d5
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 7e5ad90b
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 3641eab1
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 0bdc97e6
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 7bda95d2
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 45a6dcb8
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation aead38f3
25.05.2021 19:12 greebo Changeset attached => DarkRadiant merge_visualisation 74a75cf6
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 278fb6da
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 8b2605ff
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 78202540
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 0f318918
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 130b1e90
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 756bddaa
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation c0ab4db8
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation b5f17790
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 69e0f518
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation e08f1c3c
29.05.2021 10:39 greebo Changeset attached => DarkRadiant merge_visualisation 796ba28a
29.05.2021 11:51 greebo Changeset attached => DarkRadiant merge_visualisation a600afb3
29.05.2021 11:51 greebo Changeset attached => DarkRadiant merge_visualisation bbd04668
29.05.2021 14:04 greebo Changeset attached => DarkRadiant merge_visualisation 0ebf036b
29.05.2021 16:26 greebo Changeset attached => DarkRadiant merge_visualisation a8bee018
29.05.2021 16:26 greebo Changeset attached => DarkRadiant merge_visualisation 880df6c8
29.05.2021 16:26 greebo Changeset attached => DarkRadiant merge_visualisation 1d5b6fb3
29.05.2021 16:26 greebo Changeset attached => DarkRadiant merge_visualisation 9456ff55
30.05.2021 06:21 greebo Changeset attached => DarkRadiant merge_visualisation 7d4a9546
30.05.2021 06:21 greebo Changeset attached => DarkRadiant merge_visualisation 17841e38
30.05.2021 06:21 greebo Changeset attached => DarkRadiant merge_visualisation ba639437
30.05.2021 06:21 greebo Changeset attached => DarkRadiant merge_visualisation 61937d02
30.05.2021 06:21 greebo Changeset attached => DarkRadiant merge_visualisation d9449b3a
30.05.2021 14:33 greebo Changeset attached => DarkRadiant merge_visualisation 043c996c
30.05.2021 14:33 greebo Changeset attached => DarkRadiant merge_visualisation ee6e99fa
30.05.2021 14:33 greebo Changeset attached => DarkRadiant merge_visualisation fbecd293
30.05.2021 18:25 greebo Changeset attached => DarkRadiant merge_visualisation 16654fcc
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation cde31d5c
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation ad411113
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation d64ecbc7
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation 2d4c6f97
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation 904227cd
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation 44e6df44
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation 539f7f5f
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation 914131e0
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation 899ac8ff
31.05.2021 18:40 greebo Changeset attached => DarkRadiant merge_visualisation a0c15c37
31.05.2021 19:18 greebo Changeset attached => DarkRadiant merge_visualisation 789a7485
31.05.2021 19:18 greebo Changeset attached => DarkRadiant merge_visualisation 10cf7004
31.05.2021 19:18 greebo Changeset attached => DarkRadiant merge_visualisation 588c32c9
02.06.2021 18:39 greebo Target Version => 2.13.0
02.06.2021 18:39 greebo Status assigned => resolved
02.06.2021 18:39 greebo Resolution open => fixed
02.06.2021 18:39 greebo Fixed in Version => 2.13.0
02.06.2021 20:11 greebo Changeset attached => DarkRadiant master 79d4dcdf
02.06.2021 20:11 greebo Changeset attached => DarkRadiant master 8af189c4
02.06.2021 20:17 greebo Changeset attached => DarkRadiant master 064394ff
02.06.2021 20:27 greebo Changeset attached => DarkRadiant master 97050229
06.06.2021 04:24 greebo Changeset attached => DarkRadiant master 521f972a
06.06.2021 04:28 greebo Relationship added related to 0005638
06.06.2021 04:29 greebo Relationship added related to 0005639
06.06.2021 05:06 greebo Changeset attached => DarkRadiant master f1e1b30e